Summary:	HTTP library of common code
Name:		w3c-libwww
Version:	5.4.0
Release:	5mdk
License:	W3C License
Group:		System/Libraries
Source0:	http://www.w3.org/Library/Distribution/%{name}-%{version}.tar.bz2
Patch0:		w3c-libwww-5.3.2-lib64.patch.bz2
Patch1:		w3c-libwww-5.3.2-incdir.patch.bz2
Patch2:		w3c-libwww-ppc64.patch.bz2
Patch3:		w3c-libwww-autostar.patch.bz2

URL:		http://www.w3.org/Library
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	zlib-devel openssl-devel
BuildRequires:  multiarch-utils >= 1.0.4-1mdk
%if %{mdkversion} >= 1010
BuildRequires:	automake1.4
%endif
# pulled by library dependencies
#Requires: openssl zlib
Icon:		Lib48x.xpm

%description
Libwww is a general-purpose Web API written in C for Unix and Windows (Win32).
With a highly extensible and layered API, it can accommodate many different
types of applications including clients, robots, etc. The purpose of libwww
is to provide a highly optimized HTTP sample implementation as well as other
Internet protocols and to serve as a testbed for protocol experiments.

See: http://www.w3.org/Consortium/Legal/copyright-software.html for
further information on its license.

%package	devel
Summary:	Libraries and header files for programs that use libwww
Group:		Development/Other
Requires:	%{name} = %{version}-%{release}

%description	devel
Static libraries and header files for libwww, which are available as public
libraries.

%package	apps
Summary:	Applications built using Libwww web library: e.g. Robot, etc
Group:		Networking/WWW
Requires:	%{name} = %{version}-%{release}
Icon:		robot48x.xpm

%description	apps
Web applications built using Libwww: Robot, Command line tool, 
line mode browser.  The Robot can crawl web sites faster, and
with lower load, than any other web walker that we know of, 
due to its extensive pipelining and use of HTTP/1.1.

The command line tool (w3c) is very useful for manipulation of 
Web sites that implement more than just HTTP GET (e.g. PUT, 
 POST, etc.).

The line mode browser is a minimal line mode web browser; 
often useful to convert to ascii text.  Currently unavailable
until someone updates it to some new interfaces. (hint, hint...)

%prep
%setup -q
%patch0 -p1 -b .lib64
%patch1 -p1
%patch2 -p1 -b .ppc64
%patch3 -p1 -b .autostar

export FORCE_AUTOCONF_2_5=1
libtoolize -c -f
aclocal
automake --add-missing
autoconf
autoheader

echo timestamp > stamp-h.in
touch Library/User/Extrnals.html
chmod 644 `find -name \*.gif`

%build
%configure --enable-shared --with-gnu-ld --with-regex --with-zlib --with-ssl --with-md5

%make

%install
rm -rf $RPM_BUILD_ROOT
%{makeinstall_std}
%multiarch_binaries $RPM_BUILD_ROOT%_bindir/libwww-config
%multiarch_includes $RPM_BUILD_ROOT%_includedir/wwwconf.h

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%_libdir/libpics*.so.*
%_libdir/libwww*.so.*
%_libdir/libxml*.so.*
%_libdir/libmd5.so.*
%_datadir/w3c-libwww

%doc *.html  Icons/*/*.gif

%files apps
%defattr(-,root,root)
%doc COPYRIGH
%_bindir/webbot
%_bindir/w3c
%_bindir/www

%files devel
%defattr(-,root,root)
%doc COPYRIGH
%multiarch %_bindir/multiarch-*-linux/libwww-config
%_bindir/libwww-config
%_libdir/lib*.a
%_libdir/lib*.la
%_libdir/lib*.so

%multiarch %_includedir/multiarch-*-linux/wwwconf.h
%_includedir/wwwconf.h
%_includedir/w3c-libwww

%changelog
* Mon Jan 31 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 5.4.0-5mdk
- fix build with new rpm

* Sat Dec 25 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 5.4.0-4mdk
- sync with fedora to get things rebuilding
- fix summary-ended-with-dot
- cosmetics

* Mon Sep 20 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 5.4.0-3mdk
- use automake 1.4

* Mon Jul 21 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 5.4.0-2mdk
- rebuild
- use %%makeinstall_std macro

* Thu Jul 25 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 5.4.0-1mdk
- new release
- gcc3.2 rebuild

* Tue Jul 23 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 5.3.2-4mdk
- Rebuild against latest gcc3.1
- Patch0: Look for OpenSSL libraries in the right directory
- Regenerate configure script with updated libtool.m4 when necessary

* Mon Feb 11 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 5.3.2-3mdk
- spec clean

* Fri Oct 26 2001 Ludovic Francois <lfrancois@mandrakesoft.com> 5.3.2-2mdk
- Rebuild for rpmlint

* Thu Dec 21 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 5.3.2-1mdk
- Release 5.3.2
- Correct dependencies
- Remove patch0 (merged mainstream)

* Wed Oct 25 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 5.3.1-1mdk
- Release 5.3.1
- compiled with ssl and md5 support

* Wed May 03 2000 Lenny Cartier <lenny@mandrakesoft.com> 5.2.8-4mdk
- fix group
- build release

* Mon Apr 12 1999 Jeff Johnson <jbj@redhat.com>
- repackage for Red Hat 6.0.
